org.eclipse.core.runtime

## Class ContributorFactorySimple

- java.lang.Object
- - org.eclipse.core.runtime.ContributorFactorySimple

    public final class ContributorFactorySimple
    extends Object

The contributor factory creates new registry contributors for use in a simple registry based on the String representation of the determining object.

This class can be used without OSGi running.

This class can not be extended or instantiated by clients.

Since:
  org.eclipse.equinox.registry 3.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`ContributorFactorySimple()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IContributor` `createContributor(Object determiningObject)` Creates registry contributor object based on a determining object.The determining object must not be `null`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContributorFactorySimple

    public ContributorFactorySimple()

### Method Detail

#### createContributor

    public static IContributor createContributor(Object determiningObject)

Creates registry contributor object based on a determining object.The determining object must not be `null`.

Parameters:
  `determiningObject` - object associated with the contribution
Returns:
  new registry contributor based on the determining object